#define SHOLDCOL 0xC8C8C8
#define HOLDCOL 0x444444
#define SBORDERCOL 0x17736C
#define BORDERCOL 0x000000
#define GHOSTCOL 0x797979
#define BORDER 4

/* Should be even */
#define GAPSZ 4

#define MENUBORDER 0
#define MBORDERCOL 0x000000
#define MENUFGCOL 0x797979
#define MENUBGCOL 0x000000
#define SMENUFGCOL 0x000000
#define SMENUBGCOL 0x1F9B92

/* This sets the size ratio for windows spawned via keyboard or 
 * center-snapped
 */
#define CENTERNUM 2
#define CENTERDEN 3

/* Centered windows should maximize vertically? */
#define CENTERVMAX

/* Show 'Stick' menuitem? */
//#define SHOWSTICK

/* Notify on virtual desktop switch? */
#define VIRTNOTIFY

/* The summary and message to pass to the notifcation daeomon */
#define VIRTHEADER "virtual"
#define VIRTMSG "[%s]"

/* Deny focus to autostuck windows? (eg xosview, clock) */
#define NOFOCUS

/* Modifier key and associated modifier bits;
 * Shift = (1<<0)
 * Lock = (1<<1)
 * Control = (1<<2)
 * Mod1 = (1<<3)
 * Mod2 = (1<<4) 
 * Mod3 = (1<<5)
 * Mod4 = (1<<6)
 * Mod5 = (1<<7)
 */
#define SHORTCUTMOD Mod4Mask
#define MODBITS (1<<6)

/* Shortcut keys */

#define MAX_KEY XK_m
#define ICON_KEY XK_i
#define UNHIDE_KEY XK_u
#define MOVE_KEY XK_v
#define RESIZE_KEY XK_r
#define DESTROY_KEY XK_d
#define STICK_KEY XK_s

#define STICKYTOFRONT_KEY XK_t
#define STICKYTOBACK_KEY XK_b

#define SNAPLEFT_KEY XK_h
#define SNAPRIGHT_KEY XK_l
#define SNAPTOP_KEY XK_k
#define SNAPBOTTOM_KEY XK_j

#define SNAPTOPLEFT_KEY XK_q
#define SNAPBOTTOMLEFT_KEY XK_w
#define SNAPBOTTOMRIGHT_KEY XK_o
#define SNAPTOPRIGHT_KEY XK_p

#define SNAPCENTER_KEY XK_c

#define NEXTVIRT_KEY XK_Right
#define PREVVIRT_KEY XK_Left

#define LAUNCH_KEY XK_slash

/* List of window classes to spawn as sticky;
 * Class values for currently open windows are conveniently shown in the last
 * column of the 'xshove' command given with no arguments.
 * Remember the backslash at the end of non-terminating lines!
 */

#define AUTOSTICK {\
  "XOsview",\
  "XClock",\
  0\
}

/* List of fonts to try, in order, for rendering the menus.
 * Remember the backslash at the end of non-terminating lines!
 */

#define FONTLIST {\
	"*-lucidatypewriter-medium-*-12-*-75-*",\
	"lucm.latin1.9",\
	"blit",\
	"*-lucidatypewriter-bold-*-14-*-75-*",\
	"9x15bold",\
	"fixed",\
	"*",\
	0\
}
